# class PDUs |
Full name | `Snmp::PDUs`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum PDUsType { GET_REQUEST, GET_NEXT_REQUEST, GET_BULK_REQUEST, RESPONSE, SET_REQUEST, INFORM_REQUEST, SNMPV2_TRAP, REPORT, }

#### Public Methods

- PDUs ()
- PDUs (void* data, int len)
- ~PDUs ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int m_choiceType
- GetRequest_PDU* m_get_request
- GetNextRequest_PDU* m_get_next_request
- GetBulkRequest_PDU* m_get_bulk_request
- Response_PDU* m_response
- SetRequest_PDU* m_set_request
- InformRequest_PDU* m_inform_request
- SNMPv2_Trap_PDU* m_snmpV2_trap
- Report_PDU* m_report

## Detailed Description

static const int s_type | ### s_type

enum PDUsType { GET_REQUEST, GET_NEXT_REQUEST, GET_BULK_REQUEST, RESPONSE, SET_REQUEST, INFORM_REQUEST, SNMPV2_TRAP, REPORT, } | ### PDUsType

int m_choiceType | ### m_choiceType

GetRequest_PDU* m_get_request | ### m_get_request

GetNextRequest_PDU* m_get_next_request | ### m_get_next_request

GetBulkRequest_PDU* m_get_bulk_request | ### m_get_bulk_request

Response_PDU* m_response | ### m_response

SetRequest_PDU* m_set_request | ### m_set_request

InformRequest_PDU* m_inform_request | ### m_inform_request

SNMPv2_Trap_PDU* m_snmpV2_trap | ### m_snmpV2_trap

Report_PDU* m_report | ### m_report

PDUs () | ### PDUs

PDUs (void* data, int len) | ### PDUs

~PDUs () | ### ~PDUs

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.